function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
import _ from 'lodash';
// 显示名称
function getDisplayValue(value) {
  var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
    separator = _ref.separator;
  if (_typeof(value) !== 'object') {
    return value;
  }
  // 纯对象
  if (_.isPlainObject(value)) {
    return (value === null || value === void 0 ? void 0 : value.name) || '';
  }
  // 数组
  else if (Array.isArray(value)) {
    var displayValues = value.map(function (item) {
      return (item === null || item === void 0 ? void 0 : item.name) || '';
    });
    displayValues = displayValues.filter(function (item) {
      return item;
    });
    return displayValues.join(separator && typeof separator === 'string' ? separator : ',');
  }
  return '';
}
export default getDisplayValue;